#ifndef _CONFIG_H
#define _CONFIG_H

#include "fetch.h"

typedef struct {
	char *title;
	int (*func)(const char *title, const FETCH fetch);
} PARAMETR;

/* Config, EDIT THERE */
#define FONT_COLOR "\033[1;37m"
#define PC_CHAR "<>"

#ifdef _MAIN_H
PARAMETR CONFIG[] = {
	{"   os ", PrintOs},
	{"   kr ", GetKernel},
	{"  usr ", GetUser},
	{"  upt ", GetUptime},
	{" arch ", GetArch},
	{"  shl ", GetShell},
	{"  pkg ", GetPkg},
	{"  mem ", GetMem},
	{"  mod ", GetModel},
	{" host ", GetHostname},
	{"      ", Blank},
	{" ",   PrintColors}
};

#endif

#endif
